- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | Public Attributes | List of all members
qi::SteadyClock Class Reference

The SteadyClock class represents a monotonic clock. . More...

`#include <clock.hpp>`

## Public Types
enum | Expect { Expect_SoonerOrLater, Expect_Later, Expect_Sooner }
| Enum expected argument. More...
using | rep = Duration::rep
| The representation type of the duration and time_point. More...
using | period = Duration::period
| The tick period of the clock in nanoseconds. More...
using | duration = Duration
| The duration type of the clock. More...
using | time_point = TimePoint< SteadyClock >

## Static Public Member Functions
static time_point | now ()
| Returns a time_point representing the current value of the clock. More...

## Public Attributes
QI_API_DEPRECATED typedef time_point | SteadyClockTimePoint
bool | is_steady = boost::chrono::steady_clock::is_steady

## Detailed Description

The SteadyClock class represents a monotonic clock. .

The time points of this clock cannot decrease as physical time moves forward. This clock is not related to wall clock time, and is best suitable for measuring intervals.

Definition at line 42 of file clock.hpp.

## Member Typedef Documentation

using qi::SteadyClock::duration = Duration

The duration type of the clock.

Definition at line 47 of file clock.hpp.

using qi::SteadyClock::period = Duration::period

The tick period of the clock in nanoseconds.

Definition at line 46 of file clock.hpp.

using qi::SteadyClock::rep = Duration::rep

The representation type of the duration and time_point.

Definition at line 45 of file clock.hpp.

using qi::SteadyClock::time_point = TimePoint<SteadyClock>

The time_point type of the clock. Different clocks are permitted to share a time_point definition if it is valid to compare their time_points by comparing their respective durations.

Definition at line 53 of file clock.hpp.

## Member Enumeration Documentation

enum qi::SteadyClock::Expect

Enum expected argument.

Enumerator
Expect_SoonerOrLater | Pick the nearest result to user-provided reference.
Expect_Later | Result is expected to be later than user-provided reference.
Expect_Sooner | Result is expected to be sooner than user-provided reference.

Definition at line 66 of file clock.hpp.

## Member Function Documentation

static time_point qi::SteadyClock::now | ( |  | ) |
| static

Returns a time_point representing the current value of the clock.

## Member Data Documentation

bool qi::SteadyClock::is_steady = boost::chrono::steady_clock::is_steady

true if t1 <= t2 is always true, else false.

Note
  A clock that can be adjusted backwards is not steady.

Definition at line 59 of file clock.hpp.

QI_API_DEPRECATED typedef time_point qi::SteadyClock::SteadyClockTimePoint

Definition at line 63 of file clock.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/clock.hpp